Skip to main content
GET
Submission feed

Authorizations

X-API-Key
string
header
required

Your institute's API key, vak_eval_ followed by 48 hex characters. An institute admin creates keys in the dashboard under Settings -> Integrations -> API keys.

Query Parameters

updated_since
string<date-time>
required

Required. ISO 8601 UTC time. Start with an old time on the first sync, then follow next_cursor.

Example:

"2026-10-01T09:00:00Z"

status
string

Comma-separated statuses: queued, processing, reading, grading, graded, partially_graded, failed, cancelled.

Example:

"graded,partially_graded"

needs_review
enum<string>

true or false.

Available options:
true,
false
finalized
enum<string>

true or false.

Available options:
true,
false
cursor
string

next_cursor from the previous page, passed as is.

limit
integer
default:50

Page size, 1-200. Default 50.

Required range: 1 <= x <= 200

Response

OK

data
object[]
next_cursor
string | null

Pass as cursor to get the next page.

has_more
boolean